require 'action_kit_api'

module ActionKitApi
  # Please note that this class should almost never be directly called
  # every 'real' page is a specific sub-page type that should extend this
  # class. Please refer to the ActionKit API documentation for more
  # information about pages
  class Page < ApiDataModel
    include Searchable

    # Required
    attr_accessor :id, :name, :title, :type

    # Other/Active
    attr_accessor :canonical_url, :custom_fields, :hidden, :hosted_with, :goal,
                  :goal_type, :lang, :list, :multilingual_campaign,
                  :required_fields, :status, :tags, :url

    def initialize(*args)
      @required_attrs ||= []
      @required_attrs.concat([:name, :title, :type])

      @read_only_attrs ||= []
      @read_only_attrs.concat([:hosted_with])

      super
    end
  end
end
