require 'action_kit_api'

module ActionKitApi
  class User < ApiDataModel
    include Searchable
    
    # Required
    attr_accessor :id, :email, :first_name, :last_name, :zip
    
    # Other/Active
    attr_accessor :address1, :address2, :akid, :city, :country,
                  :custom_fields, :lang, :middle_name, :password, :plus4,
                  :postal, :prefix, :rand_id, :region, :state_name, :source,
                  :state, :subscription_status, :suffix, :token

    def initialize(*args)
      @required_attrs = [:email, :first_name, :last_name, :zip]
      @read_only_attrs =[:subscription_status]
      super
    end

    # Below are methods that haven't been completed yet, but shouldn't
    # be difficult the functionality is all there in the API, they just weren't
    # important for us to use RIGHT NOW

    #def subscribed?(list_id = nil)
    #end

    #def subscriptions
    #end

    #def subscription_history
    #end

    #def unsubscribe(list_id)
    #end

    #def unsubscribe_all
    #end
  end 
end

